### Signal

# Gtk TreeModel::row-inserted

#### Declaration

    void
    row_inserted (
      GtkTreeModel* self,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new row has been inserted in the model.

Note that the row may still be empty at this point, since it is a common pattern to first insert an empty row, and then fill it with the desired values.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` identifying the new row.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter` pointing to the new row.

  The data is owned by the caller of the function.